docusign.bcc-email-archive.get-bcc-email-archive-history-list ​
This method returns a specific BCC email archive configuration for an account, as well as the history of changes to the email address.
Gets a BCC email archive configuration and its history.
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
bccemailarchiveid | string | Yes | — | The ID of the BCC email archive configuration. |
count | string | No | — | The maximum number of results to return. Use start_position to specify the number of items to skip. |
start_position | string | No | — | The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0. |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
bccemailarchiveid | string | Yes | — | The ID of the BCC email archive configuration. |
count | string | No | — | The maximum number of results to return. Use start_position to specify the number of items to skip. |
start_position | string | No | — | The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call GET /v2.1/accounts/{accountId}/settings/bcc_email_archives/ |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform GET /v2.1/accounts/{accountId}/settings/bcc_email_archives/ |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.bcc-email-archive.get-bcc-email-archive-history-list",
"initial_data": {
"base_url": "value",
"accountid": "value",
"bccemailarchiveid": "value"
}
}